Package docking.widgets.autocomplete

# Class TextFieldAutocompleter.MyListener

java.lang.Object
docking.widgets.autocomplete.TextFieldAutocompleter.MyListener

All Implemented Interfaces:
  `FocusListener`, `KeyListener`, `MouseListener`, `EventListener`, `CaretListener`, `DocumentListener`

Enclosing class:
  TextFieldAutocompleter<T>

protected class TextFieldAutocompleter.MyListener extends Object implements FocusListener, KeyListener, DocumentListener, MouseListener, CaretListener
A listener to handle all the callbacks

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MyListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `caretUpdate(CaretEvent e)`
  `void`
  `changedUpdate(DocumentEvent e)`
  `void`
  `fakeFocusGained(JTextField field)`
  `void`
  `focusGained(FocusEvent e)`
  `void`
  `focusLost(FocusEvent e)`
  `void`
  `insertUpdate(DocumentEvent e)`
  `void`
  `keyPressed(KeyEvent e)`
  `void`
  `keyReleased(KeyEvent e)`
  `void`
  `keyTyped(KeyEvent e)`
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`
  `void`
  `removeUpdate(DocumentEvent e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MyListener

    protected MyListener()

- ## Method Details

  - ### keyTyped

    public void keyTyped(KeyEvent e)
    Specified by:
      `keyTyped` in interface `KeyListener`

  - ### keyPressed

    public void keyPressed(KeyEvent e)
    Specified by:
      `keyPressed` in interface `KeyListener`

  - ### keyReleased

    public void keyReleased(KeyEvent e)
    Specified by:
      `keyReleased` in interface `KeyListener`

  - ### focusGained

    public void focusGained(FocusEvent e)
    Specified by:
      `focusGained` in interface `FocusListener`

  - ### fakeFocusGained

    public void fakeFocusGained(JTextField field)

  - ### focusLost

    public void focusLost(FocusEvent e)
    Specified by:
      `focusLost` in interface `FocusListener`

  - ### insertUpdate

    public void insertUpdate(DocumentEvent e)
    Specified by:
      `insertUpdate` in interface `DocumentListener`

  - ### removeUpdate

    public void removeUpdate(DocumentEvent e)
    Specified by:
      `removeUpdate` in interface `DocumentListener`

  - ### changedUpdate

    public void changedUpdate(DocumentEvent e)
    Specified by:
      `changedUpdate` in interface `DocumentListener`

  - ### caretUpdate

    public void caretUpdate(CaretEvent e)
    Specified by:
      `caretUpdate` in interface `CaretListener`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`